Kerbal Space Program - Bug #10253

Hard crash performing separation right after launch
08/02/2016 08:50 PM - wivlaro

Status: New Start date: 08/02/2016
Severity: Normal % Done: 0%
Assignee:

Category: Application

Target version:

Version: 1.1.3 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

I've attached my save file and my craft file and all related system info and logs. | use no mods.
REPRO:

1. Load the save file

2. Go to craft on the launch pad

3. Hit space to launch and ramp up the engines

4. Click on one of the lower fuel tanks to check the fuel
5. Hit space to separate - instant hard crash

CONSOLE OUTPUT
$ .local/share/Steam/steamapps/common/Kerbal\ Space\ Program/KSP.x86_64

Set current directory to /home/bill
Found path: /home/bill/.local/share/Steam/steamapps/common/Kerbal Space Program/KSP.x86_64

Mono path[0] = '/home/bill/.local/share/Steam/steamapps/common/Kerbal Space Program/KSP_Data/Manag
ed'

Mono path([1l] = '/home/bill/.local/share/Steam/steamapps/common/Kerbal Space Program/KSP_Data/Mono'
Mono config path = '/home/bill/.local/share/Steam/steamapps/common/Kerbal Space Program/KSP_Data/M
ono/etc'

displaymanager : xrandr version warning. 1.5

client has 6 screens

displaymanager screen (0) (HDMI-0): 1920 x 1080
displaymanager screen (1) (DVI-0): 1920 x 1080
Using libudev for joystick management

Importing game controller configs
Segmentation fault

History

#1 - 08/06/2016 12:15 PM - wivlaro
- File mylog.txt added
- File mylog32.txt added

I ran it with GDB and got these stacktraces, maybe it doesn't help much though.

Then | ran the 32-bit version and got these stacktraces. There's no symbols, but it looks like there's an infinite recursion:

#1734 0xal0330ca in 2?7
#1735 0xal0331b4 in 27
#1736 0xal0330ca in ??
#1737 0xal0330ca in 2?7
#1738 0xal0331b4 in 27
#1739 0xal0330ca in ??
#1740 0xal0330ca in 2?7
#1741 0xal0331b4 in 2?27
#1742 0xal0330ca in 2?27
#1743 0xal0330ca in 2?27
#1744 0xal0331b4 in 27

#2 - 08/06/2016 12:39 PM - wivlaro

- File mark 25 - eve miner a.craft added

This very similar design does not crash. | removed the three lowest fuel tanks attached by large separation rings and some struts. Hope this helps.

#3 - 03/20/2018 11:40 AM - Squelch

- Severity changed from Critical to Normal

Files

KSP.log 203 KB 08/02/2016 wivlaro
Player.log 474 KB 08/02/2016 wivlaro
persistent.sfs 1.87 MB 08/02/2016 wivlaro
mark 25 - eve miner.craft 696 KB 08/02/2016 wivlaro
separation-crash-kerbal.mp4 2.67 MB 08/02/2016 wivlaro
buildID.txt 52 Bytes 08/02/2016 wivlaro
hardinfo_report.html 72.7 KB 08/02/2016 wivlaro
mylog.txt 121 KB 08/06/2016 wivlaro
mylog32.txt 1.55 MB 08/06/2016 wivlaro
mark 25 - eve miner a.craft 671 KB 08/06/2016 wivlaro
